from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .api import (
    TagViewSet,
    TagAssignmentViewSet,
    AllocatedTagsViewSet
)

router = DefaultRouter()
router.register(r'tag', TagViewSet, basename='tag')
router.register(r'tag_assignment', TagAssignmentViewSet, basename='tag_assignment')
router.register(r'allocated_tag', AllocatedTagsViewSet, basename='allocated_tag')

urlpatterns = [
    path('v1/', include(router.urls))
]
